#ifndef FMP_SYNCER_PLUGIN_P_H
#define FMP_SYNCER_PLUGIN_P_H

#include <ctkPluginActivator.h>

class FMPSyncer;

class FMPSyncerPlugin : public QObject, public ctkPluginActivator
{
  Q_OBJECT
  Q_INTERFACES(ctkPluginActivator)
#if (QT_VERSION > QT_VERSION_CHECK(5,0,0))
  Q_PLUGIN_METADATA(IID "com_fmp_syncer")
#endif

public:
  explicit          FMPSyncerPlugin();

  void              start(ctkPluginContext* context);
  void              stop(ctkPluginContext* context);

private:

  FMPSyncer*        _sync_service;

}; // FMPSyncerPlugin

#endif // FMP_SYNCER_PLUGIN_P_H
